Release Anki - Friendly, Intelligent Flashcards

Discussion in 'Software Releases' started by Drack, Aug 28, 2010.

  1. Drack

    Drack Member

    Joined:
    Sep 29, 2008
    Messages:
    210
    ==========


    App Store


    ==========


    The version of Anki in the app store as of this writing is one of my earlier beta ports of Anki, not the PND linked in this post. I didn't upload it. Please don't download that one, it has a few features broken.


    Please use the Repository instead.


    ==========


    LATEST PND DOWNLOAD


    ==========


    http://repo.openpandora.org/?page=detail&app=anki


    New in 1.2.8-drack3


    -Another fix for FAT32 cards.


    -Disabled toolbar by default. You can re-enable it by right clicking the menu bar.


    New in 1.2.8-drack2


    -Fix for "Operation not permitted" error on FAT32 formatted SD Cards


    New 1.2.8-drack1


    -Updated from Anki version 1.2.4 to 1.2.8


    -Sync works


    -Embedded pictures work


    ==========


    What is Anki?


    ==========


    I'll let Anki's website do the talking. Here's an excerpt: "Anki is a program which makes remembering things easy. Because it is a lot more efficient than traditional study methods, you can either greatly decrease your time spent studying, or greatly increase the amount you learn. Anyone who needs to remember things in their daily life can benefit from Anki. Since it is content-agnostic and supports images, audio, videos and scientific markup (via LaTeX), the possibilities are endless."


    ==========


    Q&A


    ==========


    Q: I can't sync. Anki tells me my clock is off by like 34 thousand seconds and cancels the sync.


    A: Please upgrade to HotFix 5. If you're already on Hotfix 5, check that your clock is set properly. (Anki does not require HF5, even for sync. It just requires an accurately set clock. Before HF5, the Pandora's clock was set incorrectly during setup due to the time zone logic)


    Q: I'm studying Japanese, but a lot of the Japanese characters are showing up as boxes, or are written in the Chinese style. How do I fix this?


    A:

    The Japanese font that comes with the Pandora is poor. It's missing a lot of kanji and shows a lot of the kanji it does have in the Chinese style. If you use Japanese in your deck, you really ought to download a better font.


    To add a font to the Pandora, download a TrueType (.ttf) font and add it to /usr/share/fonts/truetype/ Yes, this is on your NAND if you aren't booting from SDCard. I haven't figured out a way to get anki to search for fonts inside appdata yet. Anyway, quality Japanese unicode fonts are freely and legally available here.


    My favorite among that bunch is EPSON 教科書体 (epkyouka.ttf, "Epson Textbook"). This font is very good for those studying how to write characters because it shows them how they are properly written, not like a block font you'd get out of a computer. It also scales down to small sizes extremely well and is the easiest to read Japanese font I've encountered for kanji. It's available from that site (via epson.jp), but it comes in a self extracting .exe so I rehosted it here (4MB download)


    After you add a Japanese font to your /usr/share/fonts/truetype/ folder, you can make anki use it using the Card Layout menu, which can be accessed using the blueprint icon in the toolbar, or from Edit in the menu bar.


    Q: What is Anki's license? Where can I get the Source Code?


    A: Anki and this port of it are Free Software licensed under GPLv3. Every library inside that PND has source code available from their respective websites. Anki's source code is available via git at https://github.com/dae Additionally, the source code for Anki is available inside the PND, as it's a python application.


    Q: What are your recommended settings?


    A: First of all, I have changed the default number of deck backups to keep from 30 to 1. 30 backups is really excessive on an SDCard and will eat up your free space. Feel free to set it back if you disagree with me.


    I recommend running Anki from minimenu or setting your XFCE taskbar to auto-hide, because Anki needs all the vertical space it can get


    I also disable the Anki toolbar by default for the same reason. Right click the menu bar if you want to restore it.


    Q: Why is the .PND 58MB?!


    A: Because I included Python, Qt, PyQt, and other dependencies in it. The Embedded Qt that comes with the Pandora can't run Anki due to some functions missing from the embedded version. The version of Python included with the Pandora causes problems with Anki Sync. For these reasons, I compiled working versions of these libraries from source and included them inside the PND. That's what's taking up all that space, even after squashfs compression.
     
    Last edited by a moderator: Apr 18, 2011
    Tags:
  2. Trip

    Trip Sorry, but I suck at explaining stuff :P

    Joined:
    Dec 22, 2005
    Messages:
    2,671
    Location:
    The cesspit of the world, Bradford U.K
    You know, one of these days I'm actually going to learn another language. It's just hard to find the motivation when I can't afford to go abroad anywhere :lol:


    Looks good Drack cheers :)
     
  3. Korlithiel

    Korlithiel Still Fresh

    Joined:
    Aug 29, 2010
    Messages:
    95
    Trip, it's easier to find the motivation when you find some titles worth importing that you want to enjoy.
     
  4. grahamr

    grahamr Member

    Joined:
    Apr 8, 2010
    Messages:
    100
    Thanks!


    This was on my to-do list, 我学习汉语, 在我大电脑用anki。
     
  5. Drack

    Drack Member

    Joined:
    Sep 29, 2008
    Messages:
    210
    Top post updated with new release.


    If no major bugs or missing features are found, this will no longer be considered beta.
     
  6. milkshake

    milkshake Advanced Member

    Joined:
    May 18, 2009
    Messages:
    3,732
    Location:
    Rotherham, UK
    why dont you upload to the repo?


    http://repo.openpandora.org :p
     
  7. Korlithiel

    Korlithiel Still Fresh

    Joined:
    Aug 29, 2010
    Messages:
    95
    Thanks Drack, I doubt I'll find the time to test it (nor that it would be particularly helpful noting the issues with my current Pandora are fairly extensive). But I do look forward to finding the time for this.
     
  8. peelie

    peelie Member

    Joined:
    Apr 6, 2007
    Messages:
    887
    hi getting this error


    ----------


    [------------------------------]{ App start }[---------------------------------]


    Traceback (most recent call last):


    File "lib/python2.7/site-packages/ankiqt/anki", line 28, in <module>


    ankiqt.run()


    File "/mnt/utmp/anki/lib/python2.7/site-packages/ankiqt/ankiqt/__init__.py", line 78, in run


    import config


    File "/mnt/utmp/anki/lib/python2.7/site-packages/ankiqt/ankiqt/config.py", line 10, in <module>


    from anki.utils import genID


    File "/mnt/utmp/anki/lib/python2.7/site-packages/ankiqt/../libanki/anki/__init__.py", line 58, in <module>


    from anki.deck import DeckStorage


    File "/mnt/utmp/anki/lib/python2.7/site-packages/ankiqt/../libanki/anki/deck.py", line 12, in <module>


    import types, traceback, simplejson, datetime


    File "/mnt/utmp/anki/lib/python2.7/site-packages/simplejson-2.1.3-py2.7-linux-armv7l.egg/simplejson/__init__.py", line 111, in <module>


    if (oldConf and os.path.exists(oldConf) and not os.path.exists(


    File "/mnt/utmp/anki/lib/python2.7/site-packages/simplejson-2.1.3-py2.7-linux-armv7l.egg/simplejson/decoder.py", line 7, in <module>


    File "/mnt/utmp/anki/lib/python2.7/site-packages/simplejson-2.1.3-py2.7-linux-armv7l.egg/simplejson/scanner.py", line 10, in <module>


    File "/mnt/utmp/anki/lib/python2.7/site-packages/simplejson-2.1.3-py2.7-linux-armv7l.egg/simplejson/scanner.py", line 6, in _import_c_make_scanner


    File "/mnt/utmp/anki/lib/python2.7/site-packages/simplejson-2.1.3-py2.7-linux-armv7l.egg/simplejson/_speedups.py", line 7, in <module>


    File "/mnt/utmp/anki/lib/python2.7/site-packages/simplejson-2.1.3-py2.7-linux-armv7l.egg/simplejson/_speedups.py", line 4, in __bootstrap__


    File "/mnt/utmp/anki/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 882, in resource_filename


    File "/mnt/utmp/anki/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 1351, in get_resource_filename


    File "/mnt/utmp/anki/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 1406, in _extract_resource


    File "/mnt/utmp/anki/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 928, in extraction_error


    pkg_resources.ExtractionError: Can't extract file(s) to egg cache


    The following error occurred while trying to extract file(s) to the Python egg


    cache:


    [Errno 1] Operation not permitted: '/mnt/utmp/anki/.python-eggs/simplejson-2.1.3-py2.7-linux-armv7l.egg-tmp/simplejson/tmpywzwHG.$extract'


    The Python egg cache directory is currently set to:


    /mnt/utmp/anki/.python-eggs


    Perhaps your account does not have write access to this directory? You can


    change the cache directory by setting the PYTHON_EGG_CACHE environment


    variable to point to an accessible directory.


    [-------------------------------]{ App end }[----------------------------------]


    cleanup done
     
  9. Drack

    Drack Member

    Joined:
    Sep 29, 2008
    Messages:
    210
    First post updated with new PND. This PND should fix your issue, peelie.


    PND is now available in the repository.
     
  10. Aethix

    Aethix Member

    Joined:
    May 8, 2009
    Messages:
    110
    Is the sync thing required for the program to work? Hotfix 5 was weird for me, so I downgraded to Hotfix 4, and I'd like to not try to upgrade again until HF6 comes out.
     
  11. Drack

    Drack Member

    Joined:
    Sep 29, 2008
    Messages:
    210
    Those experiencing problems: Try this PND: (Link removed. Top post updated with this PND.)


    Did a couple things that might fix the problem (It's not happening on my pandora even using my FAT32 card so these are all guesses)


    -chmodded everything inside the PND as 777


    -Added some additional python stuff into the PND that showed up in my appdata after running the previous PND


    -Set the PYTHON_EGG_CACHE to point to a folder inside appdata (rc1) and now /tmp (rc2)


    If it fixes your problem, I'll upload it to the repository as an update.


    Sync is not required to use Anki. It should run on hotfix 4 if you don't need to sync. In fact, the only thing it needs from HF5 to sync is an accurately set clock.
     
    Last edited by a moderator: Apr 18, 2011
  12. peelie

    peelie Member

    Joined:
    Apr 6, 2007
    Messages:
    887
    thanks this version i working now!
     
  13. Tavin

    Tavin Still Fresh

    Joined:
    Sep 21, 2010
    Messages:
    50
    Drack: do you think a port of version 2 will require a lot of work?

    there are a lot of improvements in the update

    I'd also support the ort with money if that will help.
     
  14. ekianjo

    ekianjo Hardcore Member

    Joined:
    May 7, 2012
    Messages:
    8,261
    Location:
    神戸市、日本 (Japan)
    also interested here by an update.
     
  15. dibad0011

    dibad0011 Still Fresh

    Joined:
    Aug 11, 2012
    Messages:
    94
    yes, me too.
     

Share This Page

Loading...